@import 'font.scss';
html {
    @media only screen and (device-width: 812px) and (device-height: 375px) and (-webkit-device-pixel-ratio: 3) {
      padding: env(safe-area-inset);
      padding: constant(safe-area-inset);
    }
  
    @media only screen and (device-width: 896px) and (device-height: 414px) and (-webkit-device-pixel-ratio: 3) {
      padding: env(safe-area-inset);
      padding: constant(safe-area-inset);
    }
}
  
body {
    font-family: "Kanit-Light",tahoma;
    padding:0;
    margin:0;
}
* {
    //user-select: none;
}
h1, h2, h3, h4, h5, h6 {
    margin: 0;
}
ul, li {
    margin: 0px;
    padding: 0px;
    list-style-type: none;
}
.page {
    position: absolute;
    top: 0px;
    left: 0px;
    width: 100%;
    height: 100%;
    &__loading {
        display: block;
        position: fixed;
        width: 100%;
        height: 100%;
        text-align: center;
        color: #FFFFFF;
        vertical-align: middle;
        font-size: 30px;
        background-color: rgba(0,0,0,0.6);
        &:before {
            content: "";
            display: inline-block;
            height: 100%;
            width: 0px;
            vertical-align: middle;
        }
    }
    &.close {
        display: none;
    }
}

.warden {
    background:url("../static/images/background.jpg")top center no-repeat #000000;
    width:100%;
    min-height: 100vh;
    overflow: hidden;
}

.events-head {
    position: relative;
    margin-bottom: 2.5em;
    &__account {
        background: rgba(0,0,0,0.85);
        color:#fff;
        text-align:center;
        position: absolute;
        padding:1em 1em;
        border-radius: 20px;
        right:1em;
        top: 1em;

        a{
            color: #ffffff;

            &:hover,
            &:visited,
            &:focus,
            &:active{
                color: #ffffff;
            }
        }
    }
    &__head {
        position: relative;
        margin-bottom: 2.5em;
    }
    &__title {
        max-width: 1280px;
        margin:0 auto;
        text-align: center;
        position: relative;
        img {
            max-width: 100%;
            &.char {
                margin:-10em auto 0;
                @media(max-width: 640px) {
                    margin:2em auto 0;
                }
            }
        }
    }
    &__logo {
        padding:2em 0 0;
        text-align:left;
        @media(max-width: 640px) {
            display:none;
        }
    }
    &__scroll {
        text-align: center;
        width:100%;
        position: absolute;
        bottom:10em;
        >img{
            animation: mover 1s infinite alternate;
        }
        @media(max-width: 640px) {
            display: none;
        }
    }
}

.events-content {
    margin:-8em auto 0;
}

.warden {
    &__blog {
        background:url("../static/images/bg_content.png")top center no-repeat;
        width:1120px;
        height:1342px;
        display:block;
        margin: 0 auto;
        position: relative;
        padding:0 3em;
        color:#fff;
        @media(max-width: 1120px) {
            width:100%;
            height:1200px;
            background-size:cover;
            padding:0 0 5em;
        }
        @media(max-width: 640px) {
            height:auto;
        }
    }
    &__step {
        margin:2em auto;
        text-align:center;
        padding:6em 0 0em;
        display:block;
        @media(max-width: 640px) {
            padding:3em 0 0;
            img {
                max-width: 100%;
            }
        }
    }
    &__text {
        &--yellow {
            color:#febb64;
        }
    }
    &__inner {
        width: 85%;
        margin: 0 auto;
        text-align: center;
        @media(max-width: 640px) {
            width:100%;
        }
    }
    &__content {
        background:#372514;
        border:1px solid #ecba3f;
        border-radius: 5px;
        padding:3em 0em;
        width:90%;
        margin: 0 auto 5em;
        img {
            max-width: 100%;
        }
        @media(max-width: 640px) {
            border-left:0px;
            border-right:0px;
            padding:3em 0;
            border-radius: 0px;
            width:100%;
            font-size:.8em;
        }
    }
    &__answer-list {
        padding:0;
        margin:1.5em auto;
        text-align:left;
        width:70%;
        @media(max-width: 640px) {
            width:85%;
        }
    }
    &__item-list {
        padding:0;
        margin:1.5em auto;
        li {
            display: inline-block;
            vertical-align: top;
            color:#fff;
            text-align:center;
            width:30%;
            img {
                display:block;
                margin:0 auto;
                @media(max-width: 640px) {
                    max-width: 70%;
                }
            }
        }
    }
    &__character {
        &--01 {
            position: absolute;
            right: -37em;
            bottom: 4em;
            @media(max-width: 1120px) {
                display:none;
            }
        }
        &--02 {
            position: absolute;
            z-index: 2;
            left:-15em;
            @media(max-width: 1120px) {
                display:none;
            }
        }
        &--03 {
            position: absolute;
            bottom:4em;
            right:-20em;
            @media(max-width: 1120px) {
                display:none;
            }
        }
    }
}

.warden-btns {
    &__normal {
        background:url("../static/images/btn_normal.png")top center no-repeat;
        width:292px;
        height:65px;
        line-height: 65px;
        display:block;
        margin:25px auto -75px;
        text-align:center;
        color:#fff;
        cursor: pointer;
        
        &:hover , &:focus {
            background-position: 0 -65px;
        }

        &.disabled{
            pointer-events: none;
            -webkit-filter: grayscale(100%); /* Safari 6.0 - 9.0 */
            filter: grayscale(100%);
        }
        
        @media(max-width: 1120px) {
            width:200px;
            background-size: 100%;
            line-height: 45px;
            height:44.5px;
            &:hover , &:focus {
                background-position: bottom center;
            }
        }
    }
}

.character-name{
    color: #febb64;
    font-size: 1.6rem;
    text-align: center;
    line-height: 1.2;
}